﻿using Stimulsoft.Base;
using Stimulsoft.Report;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Show_Report_in_the_Viewer
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            // How to Activate
            //Stimulsoft.Base.StiLicense.Key = "6vJhGtLLLz2GNviWmUTrhSqnO...";
            //Stimulsoft.Base.StiLicense.LoadFromFile("license.key");
            //Stimulsoft.Base.StiLicense.LoadFromStream(stream);

            InitializeComponent();
        }

        private void ButtonControl_Click(object sender, RoutedEventArgs e)
        {
            StiWpfViewerControl1.Report = null;
            var report = new StiReport();
            var bytes = File.ReadAllBytes("Reports/tmp.rpt");
            report.LoadPackedDocument(bytes);
            StiWpfViewerControl1.Report = report;
        }

        private void ButtonDialog_Click(object sender, RoutedEventArgs e)
        {
            var report = new StiReport();
            report.Load(@"Reports\SimpleList.mrt");
            //report.ShowWithWpf();
            report.ShowWithWpfRibbonGUI();
        }
    }
}
